gd_entry_type(3)

NAME
gd_entry_type — retrieve the type of a dirfile field

SYNOPSIS
#include <getdata.h>

gd_entype_t gd_entry_type(const DIRFILE *dirfile, const char *field_code);

DESCRIPTION
The gd_entry_type() function queries a dirfile(5) database specified by dirfile and returns the field type of the field specified by field_code. If field_code contains a valid representation suffix, it will be ignored.

The gd_entype_t type is an enumerated type which may take any of the following values:

    GD_BIT_ENTRY, GD_CARRAY_ENTRY, GD_CONST_ENTRY, GD_DIVIDE_ENTRY, GD_INDEX_ENTRY, GD_LINCOM_ENTRY, GD_LINTERP_ENTRY, GD_MULTIPLY_ENTRY, GD_PHASE_ENTRY, GD_POLYNOM_ENTRY, GD_RAW_ENTRY, GD_RECIP_ENTRY, GD_SBIT_ENTRY, GD_STRING_ENTRY.

RETURN VALUE
Upon successful completion, gd_entry_type() returns the field type of the specified field. On error, gd_entry_type() returns GD_NO_ENTRY and sets the dirfile error a non-zero error value. Possible error values are:

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

GD_E_BAD_CODE
    The field specified by field_code was not found in the database.

GD_E_BAD_REPR
    The representation suffix specified in field_code was not recognised.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
gd_cbopen(3), gd_entry(3), gd_error(3), gd_error_string(3), gd_fragmentname(3), gd_parent_fragment(3), dirfile(5)